Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.webservices
Class WebServiceMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.webservices.WebServiceMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class WebServiceMeta

extends BaseStepMeta
implements StepMetaInterface

Field Summary
`static int` | `DEFAULT_STEP`
`static String` | `XSD_NS_URI`

Constructor Summary
`WebServiceMeta()`
`WebServiceMeta(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Hashtable<String,org.pentaho.di.core.Counter> counters)`
`WebServiceMeta(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Hashtable<String,org.pentaho.di.core.Counter> counters)`

Method Summary
`void` | `addFieldIn(WebServiceField field)`
`void` | `addFieldOut(WebServiceField field)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`WebServiceMeta` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`int` | `getCallStep()`
`WebServiceField` | `getFieldInFromName(String name)`
`WebServiceField` | `getFieldOutFromWsName(String wsName)`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface r, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`List<WebServiceField>` | `getFieldsIn()`
`List<WebServiceField>` | `getFieldsOut()`
`String` | `getHttpLogin()`
`String` | `getHttpPassword()`
`String` | `getInFieldArgumentName()`
`String` | `getInFieldContainerName()`
`String` | `getOperationName()`
`String` | `getOperationNamespace()`
`String` | `getOutFieldArgumentName()`
`String` | `getOutFieldContainerName()`
`String` | `getProxyHost()`
`String` | `getProxyPort()`
`String` | `getRepeatingElementName()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans disp)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getUrl()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `hasFieldsIn()`
`boolean` | `isCompatible()`
`boolean` | `isPassingInputData()`
`boolean` | `isReturningReplyAsString()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setCallStep(int callStep)`
`void` | `setCompatible(boolean compatible)`
`void` | `setDefault()` Set default values
`void` | `setFieldsIn(List<WebServiceField> fieldsIn)`
`void` | `setFieldsOut(List<WebServiceField> fieldsOut)`
`void` | `setHttpLogin(String httpLogin)`
`void` | `setHttpPassword(String httpPassword)`
`void` | `setInFieldArgumentName(String inFieldArgumentName)`
`void` | `setInFieldContainerName(String inFieldContainerName)`
`void` | `setOperationName(String operationName)`
`void` | `setOperationNamespace(String operationNamespace)`
`void` | `setOutFieldArgumentName(String outFieldArgumentName)`
`void` | `setOutFieldContainerName(String outFieldContainerName)`
`void` | `setPassingInputData(boolean passingInputData)`
`void` | `setProxyHost(String proxyHost)`
`void` | `setProxyPort(String proxyPort)`
`void` | `setRepeatingElementName(String repeatingElementName)`
`void` | `setReturningReplyAsString(boolean returningReplyAsString)`
`void` | `setUrl(String url)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Field Detail

### XSD_NS_URI

    public static final String XSD_NS_URI

See Also:
  Constant Field Values

### DEFAULT_STEP

    public static final int DEFAULT_STEP

See Also:
  Constant Field Values

Constructor Detail

### WebServiceMeta

    public WebServiceMeta()

### WebServiceMeta

    public WebServiceMeta(Node stepnode,
                          List<org.pentaho.di.core.database.DatabaseMeta> databases,
                          Hashtable<String,org.pentaho.di.core.Counter> counters)
                   throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### WebServiceMeta

    public WebServiceMeta(Repository rep,
                          long id_step,
                          List<org.pentaho.di.core.database.DatabaseMeta> databases,
                          Hashtable<String,org.pentaho.di.core.Counter> counters)
                   throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface r,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `r` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### clone

    public WebServiceMeta clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### getOperationName

    public String getOperationName()

### setOperationName

    public void setOperationName(String operationName)

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans disp)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `disp` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getFieldInFromName

    public WebServiceField getFieldInFromName(String name)

### getFieldOutFromWsName

    public WebServiceField getFieldOutFromWsName(String wsName)

### getFieldsIn

    public List<WebServiceField> getFieldsIn()

### setFieldsIn

    public void setFieldsIn(List<WebServiceField> fieldsIn)

### hasFieldsIn

    public boolean hasFieldsIn()

### addFieldIn

    public void addFieldIn(WebServiceField field)

### getFieldsOut

    public List<WebServiceField> getFieldsOut()

### setFieldsOut

    public void setFieldsOut(List<WebServiceField> fieldsOut)

### addFieldOut

    public void addFieldOut(WebServiceField field)

### getInFieldArgumentName

    public String getInFieldArgumentName()

### setInFieldArgumentName

    public void setInFieldArgumentName(String inFieldArgumentName)

### getOutFieldArgumentName

    public String getOutFieldArgumentName()

### setOutFieldArgumentName

    public void setOutFieldArgumentName(String outFieldArgumentName)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getCallStep

    public int getCallStep()

### setCallStep

    public void setCallStep(int callStep)

### getOperationNamespace

    public String getOperationNamespace()

### setOperationNamespace

    public void setOperationNamespace(String operationNamespace)

### getHttpLogin

    public String getHttpLogin()

### setHttpLogin

    public void setHttpLogin(String httpLogin)

### getHttpPassword

    public String getHttpPassword()

### setHttpPassword

    public void setHttpPassword(String httpPassword)

### getProxyHost

    public String getProxyHost()

### setProxyHost

    public void setProxyHost(String proxyHost)

### getProxyPort

    public String getProxyPort()

### setProxyPort

    public void setProxyPort(String proxyPort)

### getInFieldContainerName

    public String getInFieldContainerName()

### setInFieldContainerName

    public void setInFieldContainerName(String inFieldContainerName)

### getOutFieldContainerName

    public String getOutFieldContainerName()

### setOutFieldContainerName

    public void setOutFieldContainerName(String outFieldContainerName)

### isPassingInputData

    public boolean isPassingInputData()

  Returns:
    the passingInputData

### setPassingInputData

    public void setPassingInputData(boolean passingInputData)

  Parameters:
    `passingInputData` - the passingInputData to set

### isCompatible

    public boolean isCompatible()

  Returns:
    the compatible

### setCompatible

    public void setCompatible(boolean compatible)

  Parameters:
    `compatible` - the compatible to set

### getRepeatingElementName

    public String getRepeatingElementName()

  Returns:
    the repeatingElementName

### setRepeatingElementName

    public void setRepeatingElementName(String repeatingElementName)

  Parameters:
    `repeatingElementName` - the repeatingElementName to set

### isReturningReplyAsString

    public boolean isReturningReplyAsString()

  Returns:
    true if the reply from the service is simply passed on as a String, mostly in XML

### setReturningReplyAsString

    public void setReturningReplyAsString(boolean returningReplyAsString)

  Parameters:
    `returningReplyAsString` - true if the reply from the service is simply passed on as a String, mostly in XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD